
Foreman - Bug #12421

Moving a hostgroup between environments loses associated puppet classes

11/09/2015 07:00 AM - Jeff Sault

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When moving a hostgroup between environments all previously associated puppet classes are lost.

Example:

ensure "myclass" is available in both environment A and B

Create hostgroup "hg1" in environment "A" and associated "myclass" with it

move "hg1" to environment "B"

Expected: hg1 should still have "myclass" associated with it

Actual: hg1 has no classes associated with it

The same occurs when cloning a HG from one environment into another.

Related issues:

Is duplicate of Foreman - Bug #1477: Whenever you switch environment for a ho... Closed 01/29/2012

History

#1 - 11/10/2015 04:19 AM - Dominic Cleal

- Is duplicate of Bug #1477: Whenever you switch environment for a host group - the host group looses its puppet classes. added

#2 - 11/10/2015 04:19 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report.  This has recently been fixed in ticket #1477 for Foreman 1.10.0.  Please try out our release candidates.

Powered by TCPDF (www.tcpdf.org)

05/20/2024 1/1

https://projects.theforeman.org/issues/1477
http://www.tcpdf.org

